---
features:
  secondary:
  - name: "Enable secret push protection in your groups with APIs"
    available_in: [ultimate]  
    documentation_link: 'https://docs.gitlab.com/ee/api/group_security_settings.html'
    gitlab_com: true
    reporter: smeadzinger
    stage: application_security_testing
    categories:
    - 'Secret Detection'
    issue_url:
    - 'https://gitlab.com/gitlab-org/gitlab/-/issues/502827'
    - 'https://gitlab.com/gitlab-org/gitlab/-/issues/502828'
    description: |
      With this release, you can now enable secret push protection on all projects in your group via the [REST API](https://docs.gitlab.com/ee/api/group_security_settings.html) and the [GraphQL API](https://docs.gitlab.com/ee/api/graphql/reference/index.html#mutationsetgroupsecretpushprotection). This allows you to efficiently enable secret push protection on a per-group basis instead of project by project. Audit events are logged every time push protection is enabled or disabled.
